@import "src/styles/variables";
@import "src/styles/btn";

$timeline-spacing: 12px;

.timeline {
  &__container {
    display: flex;
  }

  &__user-area {
    width: 20%;
    margin-top: $timeline-spacing * 3;
  }

  &__input-area {
    margin-top: $timeline-spacing * 3;
    width: 100%;
    height: 140px;
    resize: none;
    border-radius: 4px;
    border: 1px solid $color-grey-light;
    font-family: 'Roboto', sans-serif;
    padding: $timeline-spacing;
    outline: none;
  }

  &__row {
    display: flex;
    justify-content: space-between;
  }

  &__total {
    font-size: $font-size-s;
    font-style: italic;
  }

  &__button {
    margin-left: $timeline-spacing;
    padding: $timeline-spacing / 2;
    border-radius: 4px;
    border: none;
    min-width: 120px;
    color: $color-white;
    cursor: pointer;
    background: $color-blue;
    &:hover {
      background-color: rgba($color-blue, 0.8);
    }
  }
}
